ConfigurationReports (Gradle API 8.11.1)

Package org.gradle.api.tasks.diagnostics.configurations

## Interface ConfigurationReports

- All Superinterfaces:
    `java.util.Collection<ConfigurableReport>`, `Configurable<ReportContainer<ConfigurableReport>>`, `DomainObjectCollection<ConfigurableReport>`, `DomainObjectSet<ConfigurableReport>`, `java.lang.Iterable<ConfigurableReport>`, `NamedDomainObjectCollection<ConfigurableReport>`, `NamedDomainObjectSet<ConfigurableReport>`, `ReportContainer<ConfigurableReport>`, `java.util.Set<ConfigurableReport>`

      @Incubating
      public interface ConfigurationReports
      extends ReportContainer<ConfigurableReport>

  The reporting configuration for any `AbstractConfigurationReportTask`.
  Since:
    7.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.reporting.ReportContainer

      `ReportContainer.ImmutableViolationException`

  - ### Method Summary

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface org.gradle.util.Configurable

      `configure`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `addAllLater, addLater, all, all, configureEach, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, addRule, findByName, getAt, getByName, getByName, getByName, getCollectionSchema, named, named, named, named`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, named, withType`

    - ### Methods inherited from interface org.gradle.api.reporting.ReportContainer

      `getAsMap, getEnabled, getEnabledReports, getNamer, getNames, getRules, isEmpty`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`